Package io.dapr.client.resiliency

# Class ResiliencyOptions

java.lang.Object
io.dapr.client.resiliency.ResiliencyOptions

public final class ResiliencyOptions extends Object
Resiliency policy for SDK communication to Dapr API.

## Constructor Summary

Constructors
Constructor
Description
`ResiliencyOptions()`

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getMaxRetries()`
`Duration`
`getTimeout()`
`ResiliencyOptions`
`setMaxRetries(Integer maxRetries)`
`ResiliencyOptions`
`setTimeout(Duration timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResiliencyOptions

public ResiliencyOptions()

## Method Details

### getTimeout

public Duration getTimeout()

### setTimeout

public ResiliencyOptions setTimeout(Duration timeout)

### getMaxRetries

public Integer getMaxRetries()

### setMaxRetries

public ResiliencyOptions setMaxRetries(Integer maxRetries)